TRUNCATE TABLE KRIM_ROLE_T
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role derives its members from the users in the Principal table. This role gives users high-level permissions to interact with RICE documents and to login to KUALI.','2',STR_TO_DATE( '20081104143710', '%Y%m%d%H%i%s' ),'KUALI','5ADF18B6D4847954E0404F8189D85002','1','User',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role is for use with administrative privilege for Organization','1',STR_TO_DATE( '20090821035258', '%Y%m%d%H%i%s' ),'KS_SYS','27C403CC-3188-DF45-795D-2D6CC1DB0BDA','10000','Kuali Student Admin',2)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role is for use with all access permission for Organization with attached qualifiers','114',STR_TO_DATE( '20090821035258', '%Y%m%d%H%i%s' ),'KS_SYS','FF497D87-0831-5C09-63ED-780565803526','10001','Kuali Orgainzation Maintenance',2)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role is for use with permission to add memberships to an Organization','114',STR_TO_DATE( '20090821035258', '%Y%m%d%H%i%s' ),'KS_SYS','89AA5AFF-4891-ADAA-FBE0-5D8CC7DCBA0F','10002','Kuali Orgainzation Membership',2)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role derives its members from users with that have received an action request for a given document.','42',STR_TO_DATE( '20081114141017', '%Y%m%d%H%i%s' ),'KR-WKFLW','5BABFACC4F62A8EEE0404F8189D8770F','59','Approve Request Recipient',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role derives its members from the initiator listed within the route log of a given document.','43',STR_TO_DATE( '20081114141017', '%Y%m%d%H%i%s' ),'KR-WKFLW','5BABFACC4F63A8EEE0404F8189D8770F','60','Initiator',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role derives its members from the initiator and action request recipients listed within the route log of a given document.','43',STR_TO_DATE( '20081114141017', '%Y%m%d%H%i%s' ),'KR-WKFLW','5BABFACC4F64A8EEE0404F8189D8770F','61','Initiator or Reviewer',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role can take superuser actions and blanket approve RICE documents as well as being able to modify and assign permissions, responsibilities and roles belonging to the KR namespaces.','1',STR_TO_DATE( '20081108115522', '%Y%m%d%H%i%s' ),'KR-SYS','5B31640F0105ADF1E0404F8189D84647','63','Technical Administrator',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role derives its members from users with the Edit Document permission for a given document type.,','45',STR_TO_DATE( '20081114141017', '%Y%m%d%H%i%s' ),'KR-NS','5BABFACC4F61A8EEE0404F8189D8770F','66','Document Editor',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role derives its members from the user who took the Complete action on a given document.','43',STR_TO_DATE( '20081114141017', '%Y%m%d%H%i%s' ),'KR-WKFLW','5BABFACC4F65A8EEE0404F8189D8770F','67','Router',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','Derived Role : Affiliation','3001',STR_TO_DATE( '20110719170249', '%Y%m%d%H%i%s' ),'KS-SYS','c6699d07-33a3-4cf4-b1b6-030a3ca6a05d','7000','Derived Role : Affiliation',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','KS-SYS\',\'KS Admin Role : KS Admin Screens','1',STR_TO_DATE( '20110719170249', '%Y%m%d%H%i%s' ),'KS-SYS','7f49d87c-5837-4b15-959e-ea2e3fd7dfe6','7001','KS Admin Role',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role derives its members from users with the Open Document permission for a given document type.,','60',STR_TO_DATE( '20090113192616', '%Y%m%d%H%i%s' ),'KR-NS','606763510FBF96D3E0404F8189D857A2','83','Document Opener',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role derives its members from users with an acknowledge action request in the route log of a given document.','42',STR_TO_DATE( '20090121130202', '%Y%m%d%H%i%s' ),'KR-WKFLW','6102F3FA08CE45CFE0404F8189D8317E','88','Acknowledge Request Recipient',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role derives its members from users with an FYI action request in the route log of a given document.','42',STR_TO_DATE( '20090121130203', '%Y%m%d%H%i%s' ),'KR-WKFLW','6102F3FA08CF45CFE0404F8189D8317E','89','FYI Request Recipient',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','1',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARUUUNTADMINREVIEWER00000ROLE','899','Student System User Role',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role represents the KR System User, that is the user ID RICE uses when it takes programmed actions.','1',STR_TO_DATE( '20090806170249', '%Y%m%d%H%i%s' ),'KR-SYS','61815E6C62D0B647E0404F8189D873B3','90','System User',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','102',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-LUM','DEPARTMENTADMINREVIEWER00000ROLE','900','Department Admin Reviewer',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','103',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-LUM','DIVISIONADMINREVIEWER0000000ROLE','901','Division Admin Reviewer',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','103',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-LUM','DIVISIONCOMMITTEEREVIEWER000ROLE','902','Division Committee Reviewer',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','101',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-LUM','COLLEGEADMINREVIEWER00000000ROLE','905','College Admin Reviewer',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','101',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-LUM','COLLEGECOMMITTEEREVIEWER0000ROLE','906','College Committee Reviewer',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','1',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-LUM','SENATEADMINREVIEWER000000000ROLE','907','Senate Admin Reviewer',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','1',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-LUM','SENATECOMMITTEEREVIEWER00000ROLE','908','Senate Committee Reviewer',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','1',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-LUM','PUBLICATIONREVIEWER000000000ROLE','909','Publication Reviewer',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','107',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-LUM','OrgAdminReviewer000000000000ROLE','910','Org Admin Reviewer',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','108',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-LUM','OrgCommitteeReviewer00000000ROLE','911','Org Committee Reviewer',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','109',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARTMENTFDMINREVIEWER00000ROLE','912','Approve Request Recipient',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','109',STR_TO_DATE( '20091130171546', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARTMENTGDMINREVIEWER0070ROLE','913','Acknowledge Request Recipient',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','109',STR_TO_DATE( '20091130171546', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARTMENTHDMINREVIEWER00060ROLE','914','FYI Request Recipient',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','110',STR_TO_DATE( '20091130171546', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARTMENTRDMINREVIEWER00800ROLE','915','Initiator or Reviewer',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','110',STR_TO_DATE( '20091130171546', '%Y%m%d%H%i%s' ),'KS-SYS','DEPAQWEENTWDMINREVIEWER00900ROLE','916','Router',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','102',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-LUM','DEPARTMENTCOMITREVIEWER00000ROLE','917','Department Committee Reviewer',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','111',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-SYS','DEqARTMENT5DMINREVIEWER10330ROLE','918','Permission: KS-SYS Edit Document',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','112',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARTMENT5DMIqREVIEWER13400ROLE','919','Permission: KS-SYS Comment on Document',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','1',STR_TO_DATE( '20091216111952', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARTMENTWDMINREVIEWER20000ROLE','920','Global Field Editor',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','1',STR_TO_DATE( '20091216111952', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARTMANTWDMINREVIEWER20000ROLE','921','Title/Description Field Editor',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','113',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARTMEN294DMI342VIEWER050000RO','922','Adhoc Approve Request Recipient',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','113',STR_TO_DATE( '20091130171546', '%Y%m%d%H%i%s' ),'KS-SYS','DEP295ENTGDMINREVIEWER00040ROLE','923','Adhoc Acknowledge Request Recipient',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','113',STR_TO_DATE( '20091130171546', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARTMEN832MINREVIEWER00300ROE','924','Adhoc FYI Request Recipient',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','114',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-LUM','1234RTMENTAD8INREVIEWER00000ROLE','925','Organization Role',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','Role to find users who have an Approve action request that had been active and is now complete.','115',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARTMENTFDMINREVIEWEEDC000ROLE','926','Completed Approve Request Recipient',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','Role to find users who have an Acknowledge action request that had been active and is now complete.','115',STR_TO_DATE( '20091130171546', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARTMENTGDMWSXEVIEWER0070ROLE','927','Completed Acknowledge Request Recipient',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','Role to find users who have an FYI action request that had been active and is now complete.','115',STR_TO_DATE( '20091130171546', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARTMENTHDMINQAZIEWER00060ROLE','928','Completed FYI Request Recipient',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role is for use with adding adhoc permissions for those who can edit a document.','130',STR_TO_DATE( '20090821035258', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARUUUNTADMINREVIEWER000001234','930','Adhoc Permissions: Edit Document',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role is for use with adding adhoc permissions for those who can comment on a document.','130',STR_TO_DATE( '20090821035258', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARUUUNTADMINREVIEWER000001235','931','Adhoc Permissions: Comment on Document',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','Role to find users who have an Adhoc Approve action request that had been active and is now complete.','116',STR_TO_DATE( '20091130171545', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARTMEN294DMI342VIEWQAZ50000RO','932','Completed Adhoc Approve Request Recipient',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','Role to find users who have an Adhoc Acknowledge action request that had been active and is now complete.','116',STR_TO_DATE( '20091130171546', '%Y%m%d%H%i%s' ),'KS-SYS','DEP295ENRFVMINREVIEWER00040ROLE','933','Completed Adhoc Acknowledge Request Recipient',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','Role to find users who have an Adhoc FYI action request that had been active and is now complete.','116',STR_TO_DATE( '20091130171546', '%Y%m%d%H%i%s' ),'KS-SYS','DEPAWSXEN832MINREVIEWER00300ROE','934','Completed Adhoc FYI Request Recipient',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','110',STR_TO_DATE( '20091130171546', '%Y%m%d%H%i%s' ),'KS-SYS','DEPARTQAZTRDMINREVIEWER00800ROLE','935','Initiator',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role derives its members from users with the Initiate Document permission for a given document type.','66',STR_TO_DATE( '20090806170249', '%Y%m%d%H%i%s' ),'KR-SYS','67F145466E8B9160E0404F8189D86771','95','Document Initiator',1)
/
INSERT INTO KRIM_ROLE_T (ACTV_IND,DESC_TXT,KIM_TYP_ID,LAST_UPDT_DT,NMSPC_CD,OBJ_ID,ROLE_ID,ROLE_NM,VER_NBR)
  VALUES ('Y','This role derives its members from users with an Approval action request (that was not generated via the ad-hoc recipients tab) in the route log of a given document.','42',STR_TO_DATE( '20090806170249', '%Y%m%d%H%i%s' ),'KR-WKFLW','67F145466EB09160E0404F8189D86771','97','Non-Ad Hoc Approve Request Recipient',1)
/
