ALTER TABLE KREN_CHNL_PRODCR_T
    ADD CONSTRAINT KREN_CHNL_PRODCR_FK2
    FOREIGN KEY (PRODCR_ID)
    REFERENCES KREN_PRODCR_T (PRODCR_ID)
/

ALTER TABLE KREN_CHNL_PRODCR_T
    ADD CONSTRAINT KREN_CHNL_PRODCR_FK1
    FOREIGN KEY (CHNL_ID)
    REFERENCES KREN_CHNL_T (CHNL_ID)
/

ALTER TABLE KREN_CHNL_SUBSCRP_T
    ADD CONSTRAINT KREN_CHAN_SUBSCRP_FK1
    FOREIGN KEY (CHNL_ID)
    REFERENCES KREN_CHNL_T (CHNL_ID)
/

ALTER TABLE KREN_MSG_DELIV_T
    ADD CONSTRAINT KREN_MSG_DELIV_FK1
    FOREIGN KEY (MSG_ID)
    REFERENCES KREN_MSG_T (MSG_ID)
/

ALTER TABLE KREN_NTFCTN_MSG_DELIV_T
    ADD CONSTRAINT KREN_NTFCTN_MSG_DELIV_FK1
    FOREIGN KEY (NTFCTN_ID)
    REFERENCES KREN_NTFCTN_T (NTFCTN_ID)
/

ALTER TABLE KREN_NTFCTN_T
    ADD CONSTRAINT KREN_NTFCTN_FK4
    FOREIGN KEY (PRODCR_ID)
    REFERENCES KREN_PRODCR_T (PRODCR_ID)
/

ALTER TABLE KREN_NTFCTN_T
    ADD CONSTRAINT KREN_NTFCTN_FK3
    FOREIGN KEY (PRIO_ID)
    REFERENCES KREN_PRIO_T (PRIO_ID)
/

ALTER TABLE KREN_NTFCTN_T
    ADD CONSTRAINT KREN_NTFCTN_FK2
    FOREIGN KEY (CNTNT_TYP_ID)
    REFERENCES KREN_CNTNT_TYP_T (CNTNT_TYP_ID)
/

ALTER TABLE KREN_NTFCTN_T
    ADD CONSTRAINT KREN_NTFCTN_FK1
    FOREIGN KEY (CHNL_ID)
    REFERENCES KREN_CHNL_T (CHNL_ID)
/

ALTER TABLE KREN_RECIP_LIST_T
    ADD CONSTRAINT KREN_RECIP_LIST_FK1
    FOREIGN KEY (CHNL_ID)
    REFERENCES KREN_CHNL_T (CHNL_ID)
/

ALTER TABLE KREN_RECIP_T
    ADD CONSTRAINT KREN_RECIP_FK1
    FOREIGN KEY (NTFCTN_ID)
    REFERENCES KREN_NTFCTN_T (NTFCTN_ID)
/

ALTER TABLE KREN_RVWER_T
    ADD CONSTRAINT NOTIFICATION_REVIEWERS_N_FK1
    FOREIGN KEY (CHNL_ID)
    REFERENCES KREN_CHNL_T (CHNL_ID)
/

ALTER TABLE KREN_SNDR_T
    ADD CONSTRAINT KREN_SNDR_FK1
    FOREIGN KEY (NTFCTN_ID)
    REFERENCES KREN_NTFCTN_T (NTFCTN_ID)
/

ALTER TABLE KREW_RTE_NODE_CFG_PARM_T
    ADD CONSTRAINT EN_RTE_NODE_CFG_PARM_TR1
    FOREIGN KEY (RTE_NODE_ID)
    REFERENCES KREW_RTE_NODE_T (RTE_NODE_ID)
/

ALTER TABLE KREW_RULE_T
    ADD CONSTRAINT KREW_RULE_TR1
    FOREIGN KEY (RULE_EXPR_ID)
    REFERENCES KREW_RULE_EXPR_T (RULE_EXPR_ID)
/

ALTER TABLE KRIM_DLGN_MBR_ATTR_DATA_T
    ADD CONSTRAINT KRIM_DLGN_MBR_ATTR_DATA_TR2
    FOREIGN KEY (KIM_ATTR_DEFN_ID)
    REFERENCES KRIM_ATTR_DEFN_T (KIM_ATTR_DEFN_ID)
/

ALTER TABLE KRIM_DLGN_MBR_ATTR_DATA_T
    ADD CONSTRAINT KRIM_DLGN_MBR_ATTR_DATA_TR1
    FOREIGN KEY (KIM_TYP_ID)
    REFERENCES KRIM_TYP_T (KIM_TYP_ID)
/

ALTER TABLE KRIM_DLGN_MBR_T
    ADD CONSTRAINT KRIM_DLGN_MBR_TR2
    FOREIGN KEY (DLGN_ID)
    REFERENCES KRIM_DLGN_T (DLGN_ID)
/

ALTER TABLE KRIM_DLGN_T
    ADD CONSTRAINT KRIM_DLGN_TR1
    FOREIGN KEY (ROLE_ID)
    REFERENCES KRIM_ROLE_T (ROLE_ID)
/

ALTER TABLE KRIM_DLGN_T
    ADD CONSTRAINT KRIM_DLGN_TR2
    FOREIGN KEY (KIM_TYP_ID)
    REFERENCES KRIM_TYP_T (KIM_TYP_ID)
/

ALTER TABLE KRIM_ENTITY_ADDR_T
    ADD CONSTRAINT KRIM_ENTITY_ADDR_TR1
    FOREIGN KEY (ENT_TYP_CD, ENTITY_ID)
    REFERENCES KRIM_ENTITY_ENT_TYP_T (ENT_TYP_CD, ENTITY_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_ENTITY_ADDR_T
    ADD CONSTRAINT KRIM_ENTITY_ADDR_TR2
    FOREIGN KEY (ADDR_TYP_CD)
    REFERENCES KRIM_ADDR_TYP_T (ADDR_TYP_CD)
/

ALTER TABLE KRIM_ENTITY_AFLTN_T
    ADD CONSTRAINT KRIM_ENTITY_AFLTN_TR1
    FOREIGN KEY (ENTITY_ID)
    REFERENCES KRIM_ENTITY_T (ENTITY_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_ENTITY_AFLTN_T
    ADD CONSTRAINT KRIM_ENTITY_AFLTN_TR2
    FOREIGN KEY (AFLTN_TYP_CD)
    REFERENCES KRIM_AFLTN_TYP_T (AFLTN_TYP_CD)
/

ALTER TABLE KRIM_ENTITY_CTZNSHP_T
    ADD CONSTRAINT KRIM_ENTITY_CTZNSHP_TR1
    FOREIGN KEY (ENTITY_ID)
    REFERENCES KRIM_ENTITY_T (ENTITY_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_ENTITY_CTZNSHP_T
    ADD CONSTRAINT KRIM_ENTITY_CTZNSHP_TR2
    FOREIGN KEY (CTZNSHP_STAT_CD)
    REFERENCES KRIM_CTZNSHP_STAT_T (CTZNSHP_STAT_CD)
/

ALTER TABLE KRIM_ENTITY_EMAIL_T
    ADD CONSTRAINT KRIM_ENTITY_EMAIL_TR1
    FOREIGN KEY (ENT_TYP_CD, ENTITY_ID)
    REFERENCES KRIM_ENTITY_ENT_TYP_T (ENT_TYP_CD, ENTITY_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_ENTITY_EMP_INFO_T
    ADD CONSTRAINT KRIM_ENTITY_EMP_INFO_TR4
    FOREIGN KEY (ENTITY_AFLTN_ID)
    REFERENCES KRIM_ENTITY_AFLTN_T (ENTITY_AFLTN_ID)
/

ALTER TABLE KRIM_ENTITY_EMP_INFO_T
    ADD CONSTRAINT KRIM_ENTITY_EMP_INFO_TR1
    FOREIGN KEY (ENTITY_ID)
    REFERENCES KRIM_ENTITY_T (ENTITY_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_ENTITY_EMP_INFO_T
    ADD CONSTRAINT KRIM_ENTITY_EMP_INFO_TR2
    FOREIGN KEY (EMP_STAT_CD)
    REFERENCES KRIM_EMP_STAT_T (EMP_STAT_CD)
/

ALTER TABLE KRIM_ENTITY_EMP_INFO_T
    ADD CONSTRAINT KRIM_ENTITY_EMP_INFO_TR3
    FOREIGN KEY (EMP_TYP_CD)
    REFERENCES KRIM_EMP_TYP_T (EMP_TYP_CD)
/

ALTER TABLE KRIM_ENTITY_ENT_TYP_T
    ADD CONSTRAINT KRIM_ENTITY_ENT_TYP_TR2
    FOREIGN KEY (ENT_TYP_CD)
    REFERENCES KRIM_ENT_TYP_T (ENT_TYP_CD)
/

ALTER TABLE KRIM_ENTITY_ENT_TYP_T
    ADD CONSTRAINT KRIM_ENTITY_ENT_TYP_TR1
    FOREIGN KEY (ENTITY_ID)
    REFERENCES KRIM_ENTITY_T (ENTITY_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_ENTITY_ETHNIC_T
    ADD CONSTRAINT KRIM_ENTITY_ETHNIC_TR1
    FOREIGN KEY (ENTITY_ID)
    REFERENCES KRIM_ENTITY_T (ENTITY_ID)
/

ALTER TABLE KRIM_ENTITY_EXT_ID_T
    ADD CONSTRAINT KRIM_ENTITY_EXT_ID_TR2
    FOREIGN KEY (EXT_ID_TYP_CD)
    REFERENCES KRIM_EXT_ID_TYP_T (EXT_ID_TYP_CD)
/

ALTER TABLE KRIM_ENTITY_EXT_ID_T
    ADD CONSTRAINT KRIM_ENTITY_EXT_ID_TR1
    FOREIGN KEY (ENTITY_ID)
    REFERENCES KRIM_ENTITY_T (ENTITY_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_ENTITY_NM_T
    ADD CONSTRAINT KRIM_ENTITY_NM_TR1
    FOREIGN KEY (ENTITY_ID)
    REFERENCES KRIM_ENTITY_T (ENTITY_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_ENTITY_PHONE_T
    ADD CONSTRAINT KRIM_ENTITY_PHONE_TR1
    FOREIGN KEY (ENT_TYP_CD, ENTITY_ID)
    REFERENCES KRIM_ENTITY_ENT_TYP_T (ENT_TYP_CD, ENTITY_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_ENTITY_PHONE_T
    ADD CONSTRAINT KRIM_ENTITY_PHONE_TR2
    FOREIGN KEY (PHONE_TYP_CD)
    REFERENCES KRIM_PHONE_TYP_T (PHONE_TYP_CD)
/

ALTER TABLE KRIM_ENTITY_RESIDENCY_T
    ADD CONSTRAINT KRIM_ENTITY_RESIDENCY_TR1
    FOREIGN KEY (ENTITY_ID)
    REFERENCES KRIM_ENTITY_T (ENTITY_ID)
/

ALTER TABLE KRIM_ENTITY_VISA_T
    ADD CONSTRAINT KRIM_ENTITY_VISA_TR1
    FOREIGN KEY (ENTITY_ID)
    REFERENCES KRIM_ENTITY_T (ENTITY_ID)
/

ALTER TABLE KRIM_GRP_ATTR_DATA_T
    ADD CONSTRAINT KRIM_GRP_ATTR_DATA_TR1
    FOREIGN KEY (KIM_TYP_ID)
    REFERENCES KRIM_TYP_T (KIM_TYP_ID)
/

ALTER TABLE KRIM_GRP_ATTR_DATA_T
    ADD CONSTRAINT KRIM_GRP_ATTR_DATA_TR3
    FOREIGN KEY (GRP_ID)
    REFERENCES KRIM_GRP_T (GRP_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_GRP_ATTR_DATA_T
    ADD CONSTRAINT KRIM_GRP_ATTR_DATA_TR2
    FOREIGN KEY (KIM_ATTR_DEFN_ID)
    REFERENCES KRIM_ATTR_DEFN_T (KIM_ATTR_DEFN_ID)
/

ALTER TABLE KRIM_GRP_MBR_T
    ADD CONSTRAINT KRIM_GRP_MBR_TR1
    FOREIGN KEY (GRP_ID)
    REFERENCES KRIM_GRP_T (GRP_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_GRP_T
    ADD CONSTRAINT KRIM_GRP_TR1
    FOREIGN KEY (KIM_TYP_ID)
    REFERENCES KRIM_TYP_T (KIM_TYP_ID)
/

ALTER TABLE KRIM_PERM_ATTR_DATA_T
    ADD CONSTRAINT KRIM_PERM_ATTR_DATA_TR1
    FOREIGN KEY (KIM_TYP_ID)
    REFERENCES KRIM_TYP_T (KIM_TYP_ID)
/

ALTER TABLE KRIM_PERM_ATTR_DATA_T
    ADD CONSTRAINT KRIM_PERM_ATTR_DATA_TR3
    FOREIGN KEY (PERM_ID)
    REFERENCES KRIM_PERM_T (PERM_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_PERM_ATTR_DATA_T
    ADD CONSTRAINT KRIM_PERM_ATTR_DATA_TR2
    FOREIGN KEY (KIM_ATTR_DEFN_ID)
    REFERENCES KRIM_ATTR_DEFN_T (KIM_ATTR_DEFN_ID)
/

ALTER TABLE KRIM_PERM_T
    ADD CONSTRAINT KRIM_PERM_TR1
    FOREIGN KEY (PERM_TMPL_ID)
    REFERENCES KRIM_PERM_TMPL_T (PERM_TMPL_ID)
/

ALTER TABLE KRIM_PERM_TMPL_T
    ADD CONSTRAINT KRIM_PERM_TMPL_TR1
    FOREIGN KEY (KIM_TYP_ID)
    REFERENCES KRIM_TYP_T (KIM_TYP_ID)
/

ALTER TABLE KRIM_PND_AFLTN_MT
    ADD CONSTRAINT KRIM_PND_AFLTN_MT_FK1
    FOREIGN KEY (FDOC_NBR)
    REFERENCES KRIM_PERSON_DOCUMENT_T (FDOC_NBR)
/

ALTER TABLE KRIM_PRNCPL_T
    ADD CONSTRAINT KRIM_PRNCPL_TR1
    FOREIGN KEY (ENTITY_ID)
    REFERENCES KRIM_ENTITY_T (ENTITY_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_ROLE_MBR_ATTR_DATA_T
    ADD CONSTRAINT KRIM_ROLE_MBR_ATTR_DATA_TR1
    FOREIGN KEY (KIM_TYP_ID)
    REFERENCES KRIM_TYP_T (KIM_TYP_ID)
/

ALTER TABLE KRIM_ROLE_MBR_ATTR_DATA_T
    ADD CONSTRAINT KRIM_ROLE_MBR_ATTR_DATA_TR2
    FOREIGN KEY (KIM_ATTR_DEFN_ID)
    REFERENCES KRIM_ATTR_DEFN_T (KIM_ATTR_DEFN_ID)
/

ALTER TABLE KRIM_ROLE_MBR_T
    ADD CONSTRAINT KRIM_ROLE_MBR_TR1
    FOREIGN KEY (ROLE_ID)
    REFERENCES KRIM_ROLE_T (ROLE_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_ROLE_PERM_T
    ADD CONSTRAINT KRIM_ROLE_PERM_TR1
    FOREIGN KEY (PERM_ID)
    REFERENCES KRIM_PERM_T (PERM_ID)
/

ALTER TABLE KRIM_ROLE_RSP_T
    ADD CONSTRAINT KRIM_ROLE_RSP_TR1
    FOREIGN KEY (RSP_ID)
    REFERENCES KRIM_RSP_T (RSP_ID)
/

ALTER TABLE KRIM_ROLE_T
    ADD CONSTRAINT KRIM_ROLE_TR1
    FOREIGN KEY (KIM_TYP_ID)
    REFERENCES KRIM_TYP_T (KIM_TYP_ID)
/

ALTER TABLE KRIM_RSP_ATTR_DATA_T
    ADD CONSTRAINT KRIM_RSP_ATTR_DATA_TR3
    FOREIGN KEY (RSP_ID)
    REFERENCES KRIM_RSP_T (RSP_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_RSP_ATTR_DATA_T
    ADD CONSTRAINT KRIM_RSP_ATTR_DATA_TR1
    FOREIGN KEY (KIM_TYP_ID)
    REFERENCES KRIM_TYP_T (KIM_TYP_ID)
/

ALTER TABLE KRIM_RSP_ATTR_DATA_T
    ADD CONSTRAINT KRIM_RSP_ATTR_DATA_TR2
    FOREIGN KEY (KIM_ATTR_DEFN_ID)
    REFERENCES KRIM_ATTR_DEFN_T (KIM_ATTR_DEFN_ID)
/

ALTER TABLE KRIM_RSP_T
    ADD CONSTRAINT KRIM_RSP_TR1
    FOREIGN KEY (RSP_TMPL_ID)
    REFERENCES KRIM_RSP_TMPL_T (RSP_TMPL_ID)
/

ALTER TABLE KRIM_RSP_TMPL_T
    ADD CONSTRAINT KRIM_RSP_TMPL_TR1
    FOREIGN KEY (KIM_TYP_ID)
    REFERENCES KRIM_TYP_T (KIM_TYP_ID)
/

ALTER TABLE KRIM_TYP_ATTR_T
    ADD CONSTRAINT KRIM_TYP_ATTRIBUTE_TR1
    FOREIGN KEY (KIM_TYP_ID)
    REFERENCES KRIM_TYP_T (KIM_TYP_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRIM_TYP_ATTR_T
    ADD CONSTRAINT KRIM_TYP_ATTR_TR2
    FOREIGN KEY (KIM_ATTR_DEFN_ID)
    REFERENCES KRIM_ATTR_DEFN_T (KIM_ATTR_DEFN_ID)
  ON DELETE CASCADE
/

ALTER TABLE KRNS_ATT_T
    ADD CONSTRAINT KRNS_ATT_TR1
    FOREIGN KEY (NTE_ID)
    REFERENCES KRNS_NTE_T (NTE_ID)
/

ALTER TABLE KRNS_CAMPUS_T
    ADD CONSTRAINT SH_CAMPUS_TR1
    FOREIGN KEY (CAMPUS_TYP_CD)
    REFERENCES KRNS_CMP_TYP_T (CAMPUS_TYP_CD)
/

ALTER TABLE KRNS_MAINT_DOC_T
    ADD CONSTRAINT KRNS_MAINT_DOC_TR1
    FOREIGN KEY (DOC_HDR_ID)
    REFERENCES KRNS_DOC_HDR_T (DOC_HDR_ID)
/

ALTER TABLE KRNS_NTE_T
    ADD CONSTRAINT KRNS_NTE_TR1
    FOREIGN KEY (NTE_TYP_CD)
    REFERENCES KRNS_NTE_TYP_T (NTE_TYP_CD)
/

ALTER TABLE KRNS_PARM_DTL_TYP_T
    ADD CONSTRAINT KRNS_PARM_DTL_TYP_TR1
    FOREIGN KEY (NMSPC_CD)
    REFERENCES KRNS_NMSPC_T (NMSPC_CD)
/

ALTER TABLE KRNS_PARM_T
    ADD CONSTRAINT KRNS_PARM_TR2
    FOREIGN KEY (PARM_TYP_CD)
    REFERENCES KRNS_PARM_TYP_T (PARM_TYP_CD)
/

ALTER TABLE KRNS_PARM_T
    ADD CONSTRAINT KRNS_PARM_TR1
    FOREIGN KEY (NMSPC_CD)
    REFERENCES KRNS_NMSPC_T (NMSPC_CD)
/

ALTER TABLE KRSB_QRTZ_BLOB_TRIGGERS
    ADD CONSTRAINT KRSB_QRTZ_BLOB_TRIGGERS_TR1
    FOREIGN KEY (TRIGGER_NAME, TRIGGER_GROUP)
    REFERENCES KRSB_QRTZ_TRIGGERS (TRIGGER_NAME, TRIGGER_GROUP)
/

ALTER TABLE KRSB_QRTZ_CRON_TRIGGERS
    ADD CONSTRAINT KRSB_QRTZ_CRON_TRIGGERS_TR1
    FOREIGN KEY (TRIGGER_NAME, TRIGGER_GROUP)
    REFERENCES KRSB_QRTZ_TRIGGERS (TRIGGER_NAME, TRIGGER_GROUP)
/

ALTER TABLE KRSB_QRTZ_JOB_LISTENERS
    ADD CONSTRAINT KRSB_QUARTZ_JOB_LISTENERS_TR1
    FOREIGN KEY (JOB_NAME, JOB_GROUP)
    REFERENCES KRSB_QRTZ_JOB_DETAILS (JOB_NAME, JOB_GROUP)
/

ALTER TABLE KRSB_QRTZ_SIMPLE_TRIGGERS
    ADD CONSTRAINT KRSB_QRTZ_SIMPLE_TRIGGERS_TR1
    FOREIGN KEY (TRIGGER_NAME, TRIGGER_GROUP)
    REFERENCES KRSB_QRTZ_TRIGGERS (TRIGGER_NAME, TRIGGER_GROUP)
/

ALTER TABLE KRSB_QRTZ_TRIGGER_LISTENERS
    ADD CONSTRAINT KRSB_QRTZ_TRIGGER_LISTENE_TR1
    FOREIGN KEY (TRIGGER_NAME, TRIGGER_GROUP)
    REFERENCES KRSB_QRTZ_TRIGGERS (TRIGGER_NAME, TRIGGER_GROUP)
/

ALTER TABLE KR_POSTAL_CODE_T
    ADD CONSTRAINT KR_POSTAL_CODE_TR3
    FOREIGN KEY (COUNTY_CD, POSTAL_STATE_CD, POSTAL_CNTRY_CD)
    REFERENCES KR_COUNTY_T (COUNTY_CD, STATE_CD, POSTAL_CNTRY_CD)
/

ALTER TABLE KR_POSTAL_CODE_T
    ADD CONSTRAINT KR_POSTAL_CODE_TR2
    FOREIGN KEY (POSTAL_STATE_CD, POSTAL_CNTRY_CD)
    REFERENCES KR_STATE_T (POSTAL_STATE_CD, POSTAL_CNTRY_CD)
/

ALTER TABLE KR_POSTAL_CODE_T
    ADD CONSTRAINT KR_POSTAL_CODE_TR1
    FOREIGN KEY (POSTAL_CNTRY_CD)
    REFERENCES KR_COUNTRY_T (POSTAL_CNTRY_CD)
/

ALTER TABLE KR_STATE_T
    ADD CONSTRAINT KR_STATE_TR1
    FOREIGN KEY (POSTAL_CNTRY_CD)
    REFERENCES KR_COUNTRY_T (POSTAL_CNTRY_CD)
/

ALTER TABLE KSAP_ATP
    ADD CONSTRAINT KSAP_ATP_FK2
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSAP_RICH_TEXT_T (ID)
/

ALTER TABLE KSAP_ATP
    ADD CONSTRAINT KSAP_ATP_FK1
    FOREIGN KEY (TYPE)
    REFERENCES KSAP_ATP_TYPE (TYPE_KEY)
/

ALTER TABLE KSAP_ATP_ATTR
    ADD CONSTRAINT KSAP_ATP_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSAP_ATP (ID)
/

ALTER TABLE KSAP_ATP_DUR_TYPE_ATTR
    ADD CONSTRAINT KSAP_ATP_DUR_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSAP_ATP_DUR_TYPE (TYPE_KEY)
/

ALTER TABLE KSAP_ATP_SEASONAL_TYPE_ATTR
    ADD CONSTRAINT KSAP_ATP_SEAS_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSAP_ATP_SEASONAL_TYPE (TYPE_KEY)
/

ALTER TABLE KSAP_ATP_TYPE
    ADD CONSTRAINT KSAP_ATP_TYPE_FK1
    FOREIGN KEY (SEASONAL_TYPE)
    REFERENCES KSAP_ATP_SEASONAL_TYPE (TYPE_KEY)
/

ALTER TABLE KSAP_ATP_TYPE
    ADD CONSTRAINT KSAP_ATP_TYPE_FK2
    FOREIGN KEY (DUR_TYPE)
    REFERENCES KSAP_ATP_DUR_TYPE (TYPE_KEY)
/

ALTER TABLE KSAP_ATP_TYPE_ATTR
    ADD CONSTRAINT KSAP_ATP_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSAP_ATP_TYPE (TYPE_KEY)
/

ALTER TABLE KSAP_DT_RANGE
    ADD CONSTRAINT KSAP_DT_RANGE_FK1
    FOREIGN KEY (DT_RANGE_TYPE_ID)
    REFERENCES KSAP_DT_RANGE_TYPE (TYPE_KEY)
/

ALTER TABLE KSAP_DT_RANGE
    ADD CONSTRAINT KSAP_DT_RANGE_FK3
    FOREIGN KEY (ATP_ID)
    REFERENCES KSAP_ATP (ID)
/

ALTER TABLE KSAP_DT_RANGE
    ADD CONSTRAINT KSAP_DT_RANGE_FK2
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSAP_RICH_TEXT_T (ID)
/

ALTER TABLE KSAP_DT_RANGE_ATTR
    ADD CONSTRAINT KSAP_DT_RANGE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSAP_DT_RANGE (DATERANGE_KEY)
/

ALTER TABLE KSAP_DT_RANGE_TYPE_ATTR
    ADD CONSTRAINT KSAP_DT_RANGE_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSAP_DT_RANGE_TYPE (TYPE_KEY)
/

ALTER TABLE KSAP_MLSTN
    ADD CONSTRAINT KSAP_MLSTN_FK2
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSAP_RICH_TEXT_T (ID)
/

ALTER TABLE KSAP_MLSTN
    ADD CONSTRAINT KSAP_MLSTN_FK3
    FOREIGN KEY (MLSTN_TYPE_ID)
    REFERENCES KSAP_MLSTN_TYPE (TYPE_KEY)
/

ALTER TABLE KSAP_MLSTN
    ADD CONSTRAINT KSAP_MLSTN_FK1
    FOREIGN KEY (ATP_ID)
    REFERENCES KSAP_ATP (ID)
/

ALTER TABLE KSAP_MLSTN_ATTR
    ADD CONSTRAINT KSAP_MLSTN_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSAP_MLSTN (ID)
/

ALTER TABLE KSAP_MLSTN_TYPE_ATTR
    ADD CONSTRAINT KSAP_MLSTN_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSAP_MLSTN_TYPE (TYPE_KEY)
/

ALTER TABLE KSCO_COMMENT
    ADD CONSTRAINT KSCO_COMMENT_FK1
    FOREIGN KEY (TYPE)
    REFERENCES KSCO_COMMENT_TYPE (TYPE_KEY)
/

ALTER TABLE KSCO_COMMENT
    ADD CONSTRAINT KSCO_COMMENT_FK2
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSCO_RICH_TEXT_T (ID)
/

ALTER TABLE KSCO_COMMENT
    ADD CONSTRAINT KSCO_COMMENT_FK3
    FOREIGN KEY (REFERENCE)
    REFERENCES KSCO_REFERENCE (ID)
/

ALTER TABLE KSCO_COMMENT_ATTR
    ADD CONSTRAINT KSCO_COMMENT_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSCO_COMMENT (ID)
/

ALTER TABLE KSCO_COMMENT_TYPE_ATTR
    ADD CONSTRAINT KSCO_COMMENT_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSCO_COMMENT_TYPE (TYPE_KEY)
/

ALTER TABLE KSCO_REFERENCE
    ADD CONSTRAINT KSCO_REFERENCE_FK1
    FOREIGN KEY (REFERENCE_TYPE)
    REFERENCES KSCO_REFERENCE_TYPE (TYPE_KEY)
/

ALTER TABLE KSCO_REFERENCE_TYPE_ATTR
    ADD CONSTRAINT KSCO_REFERENCE_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSCO_REFERENCE_TYPE (TYPE_KEY)
/

ALTER TABLE KSCO_TAG
    ADD CONSTRAINT KSCO_TAG_FK1
    FOREIGN KEY (REFERENCE)
    REFERENCES KSCO_REFERENCE (ID)
/

ALTER TABLE KSCO_TAG
    ADD CONSTRAINT KSCO_TAG_FK2
    FOREIGN KEY (TYPE)
    REFERENCES KSCO_TAG_TYPE (TYPE_KEY)
/

ALTER TABLE KSCO_TAG_ATTR
    ADD CONSTRAINT KSCO_TAG_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSCO_TAG (ID)
/

ALTER TABLE KSCO_TAG_TYPE_ATTR
    ADD CONSTRAINT KSCO_TAG_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSCO_TAG_TYPE (TYPE_KEY)
/

ALTER TABLE KSDO_DOCUMENT
    ADD CONSTRAINT KSDO_DOCUMENT_FK1
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSDO_RICH_TEXT_T (ID)
/

ALTER TABLE KSDO_DOCUMENT
    ADD CONSTRAINT KSDO_DOCUMENT_FK2
    FOREIGN KEY (TYPE)
    REFERENCES KSDO_DOCUMENT_TYPE (TYPE_KEY)
/

ALTER TABLE KSDO_DOCUMENT_ATTR
    ADD CONSTRAINT KSDO_DOCUMENT_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSDO_DOCUMENT (DOC_ID)
/

ALTER TABLE KSDO_DOCUMENT_CATEGORY
    ADD CONSTRAINT KSDO_DOCUMENT_CATEGORY_FK1
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSDO_RICH_TEXT_T (ID)
/

ALTER TABLE KSDO_DOCUMENT_CATEGORY_ATTR
    ADD CONSTRAINT KSDO_DOC_CATEGORY_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSDO_DOCUMENT_CATEGORY (CATEGORY_ID)
/

ALTER TABLE KSDO_DOCUMENT_JN_DOC_CATEGORY
    ADD CONSTRAINT KSDO_DOC_JN_DOC_CATEGORY_FK1
    FOREIGN KEY (DOC_ID)
    REFERENCES KSDO_DOCUMENT (DOC_ID)
/

ALTER TABLE KSDO_DOCUMENT_JN_DOC_CATEGORY
    ADD CONSTRAINT KSDO_DOC_JN_DOC_CATEGORY_FK2
    FOREIGN KEY (CATEGORY_ID)
    REFERENCES KSDO_DOCUMENT_CATEGORY (CATEGORY_ID)
/

ALTER TABLE KSDO_DOCUMENT_TYPE_ATTR
    ADD CONSTRAINT KSDO_DOCUMENT_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSDO_DOCUMENT_TYPE (TYPE_KEY)
/

ALTER TABLE KSDO_REF_DOC_RELTN
    ADD CONSTRAINT KSDO_REF_DOC_RELTN_FK2
    FOREIGN KEY (REF_OBJ_TYPE_KEY)
    REFERENCES KSDO_REF_OBJ_TYPE (TYPE_KEY)
/

ALTER TABLE KSDO_REF_DOC_RELTN
    ADD CONSTRAINT KSDO_REF_DOC_RELTN_FK3
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSDO_RICH_TEXT_T (ID)
/

ALTER TABLE KSDO_REF_DOC_RELTN
    ADD CONSTRAINT KSDO_REF_DOC_RELTN_FK1
    FOREIGN KEY (TYPE_KEY)
    REFERENCES KSDO_REF_DOC_RELTN_TYPE (TYPE_KEY)
/

ALTER TABLE KSDO_REF_DOC_RELTN
    ADD CONSTRAINT KSDO_REF_DOC_RELTN_FK4
    FOREIGN KEY (DOC_ID)
    REFERENCES KSDO_DOCUMENT (DOC_ID)
/

ALTER TABLE KSDO_REF_DOC_RELTN_TYPE_ATTR
    ADD CONSTRAINT KSDO_REF_DOC_REL_TYP_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSDO_REF_DOC_RELTN_TYPE (TYPE_KEY)
/

ALTER TABLE KSDO_REF_DOC_REL_ATTR
    ADD CONSTRAINT KSDO_REF_DOC_REL_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSDO_REF_DOC_RELTN (ID)
/

ALTER TABLE KSDO_REF_OBJ_SUB_TYPE
    ADD CONSTRAINT KSDO_REF_OBJ_SUB_TYPE_FK1
    FOREIGN KEY (REF_OBJ_TYPE_KEY)
    REFERENCES KSDO_REF_OBJ_TYPE (TYPE_KEY)
/

ALTER TABLE KSDO_REF_OBJ_SUB_TYPE_ATTR
    ADD CONSTRAINT KSDO_REF_OBJ_SUB_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSDO_REF_OBJ_SUB_TYPE (TYPE_KEY)
/

ALTER TABLE KSDO_REF_OBJ_TYPE_ATTR
    ADD CONSTRAINT KSDO_REF_OBJ_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSDO_REF_OBJ_TYPE (TYPE_KEY)
/

ALTER TABLE KSDO_REF_REL_TYP_JN_SUB_TYP
    ADD CONSTRAINT KSDO_REF_REL_TYP_JN_SUBTYP_FK1
    FOREIGN KEY (REF_OBJ_SUB_TYPE_KEY)
    REFERENCES KSDO_REF_OBJ_SUB_TYPE (TYPE_KEY)
/

ALTER TABLE KSDO_REF_REL_TYP_JN_SUB_TYP
    ADD CONSTRAINT KSDO_REF_REL_TYP_JN_SUBTYP_FK2
    FOREIGN KEY (REF_DOC_RELTN_TYPE_KEY)
    REFERENCES KSDO_REF_DOC_RELTN_TYPE (TYPE_KEY)
/

ALTER TABLE KSEM_CTX_JN_ENUM_VAL_T
    ADD CONSTRAINT KSEM_CTX_JN_ENUM_VAL_T_FK1
    FOREIGN KEY (CTX_ID)
    REFERENCES KSEM_CTX_T (ID)
/

ALTER TABLE KSEM_CTX_JN_ENUM_VAL_T
    ADD CONSTRAINT KSEM_CTX_JN_ENUM_VAL_T_FK2
    FOREIGN KEY (ENUM_VAL_ID)
    REFERENCES KSEM_ENUM_VAL_T (ID)
/

ALTER TABLE KSEM_ENUM_VAL_T
    ADD CONSTRAINT KSEM_ENUM_VAL_T_FK1
    FOREIGN KEY (ENUM_KEY)
    REFERENCES KSEM_ENUM_T (ENUM_KEY)
/

ALTER TABLE KSLO_ATTR
    ADD CONSTRAINT KSLO_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLO_LO (ID)
/

ALTER TABLE KSLO_LO
    ADD CONSTRAINT KSLO_LO_FK2
    FOREIGN KEY (LOTYPE_ID)
    REFERENCES KSLO_LO_TYPE (ID)
/

ALTER TABLE KSLO_LO
    ADD CONSTRAINT KSLO_LO_FK1
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSLO_RICH_TEXT_T (ID)
/

ALTER TABLE KSLO_LO
    ADD CONSTRAINT KSLO_LO_FK3
    FOREIGN KEY (LO_REPO_ID)
    REFERENCES KSLO_LO_REPOSITORY (ID)
/

ALTER TABLE KSLO_LO_CATEGORY
    ADD CONSTRAINT KSLO_LO_CATEGORY_FK1
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSLO_RICH_TEXT_T (ID)
/

ALTER TABLE KSLO_LO_CATEGORY
    ADD CONSTRAINT KSLO_LO_CATEGORY_FK3
    FOREIGN KEY (LO_CATEGORY_TYPE_ID)
    REFERENCES KSLO_LO_CATEGORY_TYPE (ID)
/

ALTER TABLE KSLO_LO_CATEGORY
    ADD CONSTRAINT KSLO_LO_CATEGORY_FK2
    FOREIGN KEY (LO_REPO_ID)
    REFERENCES KSLO_LO_REPOSITORY (ID)
/

ALTER TABLE KSLO_LO_CATEGORY_ATTR
    ADD CONSTRAINT KSLO_LO_CATEGORY_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLO_LO_CATEGORY (ID)
/

ALTER TABLE KSLO_LO_CATEGORY_TYPE_ATTR
    ADD CONSTRAINT KSLO_LO_CATEGORY_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLO_LO_CATEGORY_TYPE (ID)
/

ALTER TABLE KSLO_LO_JN_LOCATEGORY
    ADD CONSTRAINT KSLO_LO_JN_LOCATEGORY_FK1
    FOREIGN KEY (LOCATEGORY_ID)
    REFERENCES KSLO_LO_CATEGORY (ID)
/

ALTER TABLE KSLO_LO_JN_LOCATEGORY
    ADD CONSTRAINT KSLO_LO_JN_LOCATEGORY_FK2
    FOREIGN KEY (LO_ID)
    REFERENCES KSLO_LO (ID)
/

ALTER TABLE KSLO_LO_RELTN
    ADD CONSTRAINT KSLO_LO_RELTN_FK3
    FOREIGN KEY (LO_ID)
    REFERENCES KSLO_LO (ID)
/

ALTER TABLE KSLO_LO_RELTN
    ADD CONSTRAINT KSLO_LO_RELTN_FK1
    FOREIGN KEY (LO_LO_RELATION_TYPE_ID)
    REFERENCES KSLO_LO_RELTN_TYPE (ID)
/

ALTER TABLE KSLO_LO_RELTN
    ADD CONSTRAINT KSLO_LO_RELTN_FK2
    FOREIGN KEY (RELATED_LO_ID)
    REFERENCES KSLO_LO (ID)
/

ALTER TABLE KSLO_LO_RELTN_ATTR
    ADD CONSTRAINT KSLO_LO_RELTN_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLO_LO_RELTN (ID)
/

ALTER TABLE KSLO_LO_RELTN_TYPE_ATTR
    ADD CONSTRAINT KSLO_LO_RELTN_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLO_LO_RELTN_TYPE (ID)
/

ALTER TABLE KSLO_LO_REPOSITORY
    ADD CONSTRAINT KSLO_LO_REPOSITORY_FK1
    FOREIGN KEY (LO_ROOT_ID)
    REFERENCES KSLO_LO (ID)
/

ALTER TABLE KSLO_LO_REPOSITORY
    ADD CONSTRAINT KSLO_LO_REPOSITORY_FK2
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSLO_RICH_TEXT_T (ID)
/

ALTER TABLE KSLO_LO_REPOSITORY_ATTR
    ADD CONSTRAINT KSLO_LO_REPOSITORY_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLO_LO_REPOSITORY (ID)
/

ALTER TABLE KSLO_LO_TYPE_ATTR
    ADD CONSTRAINT KSLO_LO_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLO_LO_TYPE (ID)
/

ALTER TABLE KSLR_RESCOMP
    ADD CONSTRAINT KSLR_RESCOMP_FK2
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSLR_RICH_TEXT_T (ID)
/

ALTER TABLE KSLR_RESCOMP
    ADD CONSTRAINT KSLR_RESCOMP_FK1
    FOREIGN KEY (TYPE)
    REFERENCES KSLR_RESCOMP_TYPE (TYPE_KEY)
/

ALTER TABLE KSLR_RESCOMP_ATTR
    ADD CONSTRAINT KSLR_RESCOMP_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLR_RESCOMP (ID)
/

ALTER TABLE KSLR_RESCOMP_TYPE_ATTR
    ADD CONSTRAINT KSLR_RESCOMP_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLR_RESCOMP_TYPE (TYPE_KEY)
/

ALTER TABLE KSLR_RESULT_VALUE
    ADD CONSTRAINT KSLR_RESULT_VALUE_FK1
    FOREIGN KEY (RSLT_COMP_ID)
    REFERENCES KSLR_RESCOMP (ID)
/

ALTER TABLE KSLR_SCALE
    ADD CONSTRAINT KSLR_SCALE_FK1
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSLR_RICH_TEXT_T (ID)
/

ALTER TABLE KSLR_SCALE_ATTR
    ADD CONSTRAINT KSLR_SCALE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLR_SCALE (ID)
/

ALTER TABLE KSLU_CLU
    ADD CONSTRAINT KSLU_CLU_FK1
    FOREIGN KEY (PRI_INSTR_ID)
    REFERENCES KSLU_CLU_INSTR (ID)
/

ALTER TABLE KSLU_CLU
    ADD CONSTRAINT KSLU_CLU_FK4
    FOREIGN KEY (FEE_ID)
    REFERENCES KSLU_CLU_FEE (ID)
/

ALTER TABLE KSLU_CLU
    ADD CONSTRAINT KSLU_CLU_FK5
    FOREIGN KEY (OFFIC_CLU_ID)
    REFERENCES KSLU_CLU_IDENT (ID)
/

ALTER TABLE KSLU_CLU
    ADD CONSTRAINT KSLU_CLU_FK2
    FOREIGN KEY (LUTYPE_ID)
    REFERENCES KSLU_LUTYPE (TYPE_KEY)
/

ALTER TABLE KSLU_CLU
    ADD CONSTRAINT KSLU_CLU_FK3
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSLU_RICH_TEXT_T (ID)
/

ALTER TABLE KSLU_CLU
    ADD CONSTRAINT KSLU_CLU_FK6
    FOREIGN KEY (ACCT_ID)
    REFERENCES KSLU_CLU_ACCT (ID)
/

ALTER TABLE KSLU_CLUCLU_RELTN
    ADD CONSTRAINT KSLU_CLUCLU_RELTN_FK1
    FOREIGN KEY (CLU_ID)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_CLUCLU_RELTN
    ADD CONSTRAINT KSLU_CLUCLU_RELTN_FK2
    FOREIGN KEY (RELATED_CLU_ID)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_CLUCLU_RELTN
    ADD CONSTRAINT KSLU_CLUCLU_RELTN_FK3
    FOREIGN KEY (LU_RELTN_TYPE_ID)
    REFERENCES KSLU_LULU_RELTN_TYPE (ID)
/

ALTER TABLE KSLU_CLUCLU_RELTN_ATTR
    ADD CONSTRAINT KSLU_CLUCLU_RELTN_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLUCLU_RELTN (ID)
/

ALTER TABLE KSLU_CLURES_JN_RESOPT
    ADD CONSTRAINT KSLU_CLURES_JN_RESOPT_FK1
    FOREIGN KEY (CLU_RES_ID)
    REFERENCES KSLU_CLU_RSLT (ID)
/

ALTER TABLE KSLU_CLURES_JN_RESOPT
    ADD CONSTRAINT KSLU_CLURES_JN_RESOPT_FK2
    FOREIGN KEY (RES_OPT_ID)
    REFERENCES KSLU_RSLT_OPT (ID)
/

ALTER TABLE KSLU_CLU_ACCRED_ATTR
    ADD CONSTRAINT KSLU_CLU_ACCRED_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU_ACCRED (ID)
/

ALTER TABLE KSLU_CLU_ACCT_ATTR
    ADD CONSTRAINT KSLU_CLU_ACCT_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU_ACCT (ID)
/

ALTER TABLE KSLU_CLU_ACCT_JN_AFFIL_ORG
    ADD CONSTRAINT KSLU_CLU_ACCT_JN_AFFIL_ORG_FK2
    FOREIGN KEY (CLU_ACCT_ID)
    REFERENCES KSLU_CLU_ACCT (ID)
/

ALTER TABLE KSLU_CLU_ACCT_JN_AFFIL_ORG
    ADD CONSTRAINT KSLU_CLU_ACCT_JN_AFFIL_ORG_FK1
    FOREIGN KEY (AFFIL_ORG_ID)
    REFERENCES KSLU_CLU_AFFIL_ORG (ID)
/

ALTER TABLE KSLU_CLU_ADMIN_ORG
    ADD CONSTRAINT KSLU_CLU_ADMIN_ORG_FK1
    FOREIGN KEY (CLU_ID)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_CLU_ADMIN_ORG_ATTR
    ADD CONSTRAINT KSLU_CLU_ADMIN_ORG_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU_ADMIN_ORG (ID)
/

ALTER TABLE KSLU_CLU_ATP_TYPE_KEY
    ADD CONSTRAINT KSLU_CLU_ATP_TYPE_KEY_FK1
    FOREIGN KEY (CLU_ID)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_CLU_ATTR
    ADD CONSTRAINT KSLU_CLU_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_CLU_FEE
    ADD CONSTRAINT KSLU_CLU_FEE_FK1
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSLU_RICH_TEXT_T (ID)
/

ALTER TABLE KSLU_CLU_FEEREC_JN_AFFIL_ORG
    ADD CONSTRAINT KSLU_CLU_FEEREC_JN_AFF_ORG_FK2
    FOREIGN KEY (CLU_FEE_REC_ID)
    REFERENCES KSLU_CLU_FEE_REC (ID)
/

ALTER TABLE KSLU_CLU_FEEREC_JN_AFFIL_ORG
    ADD CONSTRAINT KSLU_CLU_FEEREC_JN_AFF_ORG_FK1
    FOREIGN KEY (AFFIL_ORG_ID)
    REFERENCES KSLU_CLU_AFFIL_ORG (ID)
/

ALTER TABLE KSLU_CLU_FEE_AMOUNT
    ADD CONSTRAINT KSLU_CLU_FEE_AMOUNT_FK1
    FOREIGN KEY (CLUE_FEE_REC_ID)
    REFERENCES KSLU_CLU_FEE_REC (ID)
/

ALTER TABLE KSLU_CLU_FEE_ATTR
    ADD CONSTRAINT KSLU_CLU_FEE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU_FEE (ID)
/

ALTER TABLE KSLU_CLU_FEE_JN_CLU_FEE_REC
    ADD CONSTRAINT KSLU_CLUFEE_JN_CLUFEE_REC_FK1
    FOREIGN KEY (CLU_FEE_REC_ID)
    REFERENCES KSLU_CLU_FEE_REC (ID)
/

ALTER TABLE KSLU_CLU_FEE_JN_CLU_FEE_REC
    ADD CONSTRAINT KSLU_CLUFEE_JN_CLUFEE_REC_FK2
    FOREIGN KEY (CLU_FEE_ID)
    REFERENCES KSLU_CLU_FEE (ID)
/

ALTER TABLE KSLU_CLU_FEE_REC
    ADD CONSTRAINT KSLU_CLU_FEE_REC_FK1
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSLU_RICH_TEXT_T (ID)
/

ALTER TABLE KSLU_CLU_FEE_REC_ATTR
    ADD CONSTRAINT KSLU_CLU_FEE_REC_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU_FEE_REC (ID)
/

ALTER TABLE KSLU_CLU_INSTR_ATTR
    ADD CONSTRAINT KSLU_CLU_INSTR_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU_INSTR (ID)
/

ALTER TABLE KSLU_CLU_JN_ACCRED
    ADD CONSTRAINT KSLU_CLU_JN_ACCRED_FK2
    FOREIGN KEY (CLU_ACCRED_ID)
    REFERENCES KSLU_CLU_ACCRED (ID)
/

ALTER TABLE KSLU_CLU_JN_ACCRED
    ADD CONSTRAINT KSLU_CLU_JN_ACCRED_FK1
    FOREIGN KEY (CLU_ID)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_CLU_JN_CAMP_LOC
    ADD CONSTRAINT KSLU_CLU_JN_CAMP_LOC_FK1
    FOREIGN KEY (CLU_ID)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_CLU_JN_CLU_IDENT
    ADD CONSTRAINT KSLU_CLU_JN_CLU_IDENT_FK1
    FOREIGN KEY (ALT_CLU_ID)
    REFERENCES KSLU_CLU_IDENT (ID)
/

ALTER TABLE KSLU_CLU_JN_CLU_IDENT
    ADD CONSTRAINT KSLU_CLU_JN_CLU_IDENT_FK2
    FOREIGN KEY (CLU_ID)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_CLU_JN_CLU_INSTR
    ADD CONSTRAINT KSLU_CLU_JN_CLU_INSTR_FK2
    FOREIGN KEY (CLU_INSTR_ID)
    REFERENCES KSLU_CLU_INSTR (ID)
/

ALTER TABLE KSLU_CLU_JN_CLU_INSTR
    ADD CONSTRAINT KSLU_CLU_JN_CLU_INSTR_FK1
    FOREIGN KEY (CLU_ID)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_CLU_JN_SUBJ_ORG
    ADD CONSTRAINT KSLU_CLU_JN_SUBJ_ORG_FK1
    FOREIGN KEY (CLU_ID)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_CLU_LO_ALOW_RELTN_TYPE
    ADD CONSTRAINT KSLU_CLU_LO_ALOW_REL_TYPE_FK2
    FOREIGN KEY (CLULO_RELTN_TYPE_ID)
    REFERENCES KSLU_CLU_LO_RELTN_TYPE (TYPE_KEY)
/

ALTER TABLE KSLU_CLU_LO_ALOW_RELTN_TYPE
    ADD CONSTRAINT KSLU_CLU_LO_ALOW_REL_TYPE_FK1
    FOREIGN KEY (LU_TYPE_ID)
    REFERENCES KSLU_LUTYPE (TYPE_KEY)
/

ALTER TABLE KSLU_CLU_LO_RELTN
    ADD CONSTRAINT KSLU_CLU_LO_RELTN_FK2
    FOREIGN KEY (TYPE)
    REFERENCES KSLU_CLU_LO_RELTN_TYPE (TYPE_KEY)
/

ALTER TABLE KSLU_CLU_LO_RELTN
    ADD CONSTRAINT KSLU_CLU_LO_RELTN_FK1
    FOREIGN KEY (CLU_ID)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_CLU_LO_RELTN_ATTR
    ADD CONSTRAINT KSLU_CLU_LO_RELTN_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU_LO_RELTN (ID)
/

ALTER TABLE KSLU_CLU_LO_RELTN_TYPE_ATTR
    ADD CONSTRAINT KSLU_CLU_LO_REL_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU_LO_RELTN_TYPE (TYPE_KEY)
/

ALTER TABLE KSLU_CLU_PUBL
    ADD CONSTRAINT KSLU_CLU_PUBL_FK1
    FOREIGN KEY (CLU_ID)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_CLU_PUBL
    ADD CONSTRAINT KSLU_CLU_PUBL_FK2
    FOREIGN KEY (CLU_PUB_TYPE_ID)
    REFERENCES KSLU_CLU_PUBL_TYPE (TYPE_KEY)
/

ALTER TABLE KSLU_CLU_PUBL_ATTR
    ADD CONSTRAINT KSLU_CLU_PUBL_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU_PUBL (ID)
/

ALTER TABLE KSLU_CLU_PUBL_TYPE_ATTR
    ADD CONSTRAINT KSLU_CLU_PUBL_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU_PUBL_TYPE (TYPE_KEY)
/

ALTER TABLE KSLU_CLU_PUBL_VARI
    ADD CONSTRAINT KSLU_CLU_PUBL_VARI_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU_PUBL (ID)
/

ALTER TABLE KSLU_CLU_PUB_TYPE_ATTR
    ADD CONSTRAINT KSLU_CLU_PUB_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU_PUB_TYPE (TYPE_KEY)
/

ALTER TABLE KSLU_CLU_RESULT_TYPE_ATTR
    ADD CONSTRAINT KSLU_CLU_RESULT_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU_RSLT_TYP (TYPE_KEY)
/

ALTER TABLE KSLU_CLU_RSLT
    ADD CONSTRAINT KSLU_CLU_RSLT_FK1
    FOREIGN KEY (TYPE_KEY_ID)
    REFERENCES KSLU_CLU_RSLT_TYP (TYPE_KEY)
/

ALTER TABLE KSLU_CLU_RSLT
    ADD CONSTRAINT KSLU_CLU_RSLT_FK2
    FOREIGN KEY (CLU_ID)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_CLU_RSLT
    ADD CONSTRAINT KSLU_CLU_RSLT_FK3
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSLU_RICH_TEXT_T (ID)
/

ALTER TABLE KSLU_CLU_RSLT_LU_ALOW_TYPE
    ADD CONSTRAINT KSLU_CLU_RSLT_LU_ALOW_TYPE_FK2
    FOREIGN KEY (LU_TYPE_ID)
    REFERENCES KSLU_LUTYPE (TYPE_KEY)
/

ALTER TABLE KSLU_CLU_RSLT_LU_ALOW_TYPE
    ADD CONSTRAINT KSLU_CLU_RSLT_LU_ALOW_TYPE_FK1
    FOREIGN KEY (CLU_RSLT_TYPE_ID)
    REFERENCES KSLU_CLU_RSLT_TYP (TYPE_KEY)
/

ALTER TABLE KSLU_CLU_SET
    ADD CONSTRAINT KSLU_CLU_SET_FK1
    FOREIGN KEY (MEM_QUERY_ID)
    REFERENCES KSLU_MEMSHIP (ID)
/

ALTER TABLE KSLU_CLU_SET
    ADD CONSTRAINT KSLU_CLU_SET_FK2
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSLU_RICH_TEXT_T (ID)
/

ALTER TABLE KSLU_CLU_SET_ATTR
    ADD CONSTRAINT KSLU_CLU_SET_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU_SET (ID)
/

ALTER TABLE KSLU_CLU_SET_JN_CLU
    ADD CONSTRAINT KSLU_CLU_SET_JN_CLU_FK1
    FOREIGN KEY (CLU_SET_ID)
    REFERENCES KSLU_CLU_SET (ID)
/

ALTER TABLE KSLU_CLU_SET_JN_CLU_SET
    ADD CONSTRAINT KSLU_CLU_SET_JN_CLU_SET_FK1
    FOREIGN KEY (CLU_SET_PARENT_ID)
    REFERENCES KSLU_CLU_SET (ID)
/

ALTER TABLE KSLU_CLU_SET_JN_CLU_SET
    ADD CONSTRAINT KSLU_CLU_SET_JN_CLU_SET_FK2
    FOREIGN KEY (CLU_SET_CHILD_ID)
    REFERENCES KSLU_CLU_SET (ID)
/

ALTER TABLE KSLU_CLU_SET_TYPE_ATTR
    ADD CONSTRAINT KSLU_CLU_SET_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_CLU_SET_TYPE (TYPE_KEY)
/

ALTER TABLE KSLU_DLVMTHD_TYPE_ATTR
    ADD CONSTRAINT KSLU_DLVMTHD_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_DLVMTHD_TYPE (TYPE_KEY)
/

ALTER TABLE KSLU_INSTFRMT_TYPE_ATTR
    ADD CONSTRAINT KSLU_INSTFRMT_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_INSTFRMT_TYPE (TYPE_KEY)
/

ALTER TABLE KSLU_LUI
    ADD CONSTRAINT KSLU_LUI_FK1
    FOREIGN KEY (CLU_ID)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_LUILUI_RELTN
    ADD CONSTRAINT KSLU_LUILUI_RELTN_FK3
    FOREIGN KEY (LUI_ID)
    REFERENCES KSLU_LUI (ID)
/

ALTER TABLE KSLU_LUILUI_RELTN
    ADD CONSTRAINT KSLU_LUILUI_RELTN_FK2
    FOREIGN KEY (LULU_RELTN_TYPE_ID)
    REFERENCES KSLU_LULU_RELTN_TYPE (ID)
/

ALTER TABLE KSLU_LUILUI_RELTN
    ADD CONSTRAINT KSLU_LUILUI_RELTN_FK1
    FOREIGN KEY (RELATED_LUI_ID)
    REFERENCES KSLU_LUI (ID)
/

ALTER TABLE KSLU_LUILUI_RELTN_ATTR
    ADD CONSTRAINT KSLU_LUILUI_RELTN_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_LUILUI_RELTN (ID)
/

ALTER TABLE KSLU_LUI_ATTR
    ADD CONSTRAINT KSLU_LUI_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_LUI (ID)
/

ALTER TABLE KSLU_LULU_RELTN_TYPE_ATTR
    ADD CONSTRAINT KSLU_LULU_RELTN_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_LULU_RELTN_TYPE (ID)
/

ALTER TABLE KSLU_LULU_RELTN_TYPE_JN_LU_TYP
    ADD CONSTRAINT KSLU_LULU_RELTYP_JN_LUTYP_FK2
    FOREIGN KEY (LU_TYPE_ID)
    REFERENCES KSLU_LUTYPE (TYPE_KEY)
/

ALTER TABLE KSLU_LULU_RELTN_TYPE_JN_LU_TYP
    ADD CONSTRAINT KSLU_LULU_RELTYP_JN_LUTYP_FK1
    FOREIGN KEY (LULU_RELTN_TYPE_ID)
    REFERENCES KSLU_LULU_RELTN_TYPE (ID)
/

ALTER TABLE KSLU_LU_CD_TYPE_ATTR
    ADD CONSTRAINT KSLU_LU_CD_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_LU_CD_TYPE (TYPE_KEY)
/

ALTER TABLE KSLU_LU_CODE
    ADD CONSTRAINT KSLU_LU_CODE_FK1
    FOREIGN KEY (CLU_ID)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_LU_CODE_ATTR
    ADD CONSTRAINT KSLU_LU_CODE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_LU_CODE (ID)
/

ALTER TABLE KSLU_LU_LU_ALOW_RELTN_TYPE
    ADD CONSTRAINT KSLU_LU_LU_ALOW_RELTN_TYPE_FK2
    FOREIGN KEY (LU_LU_RELTN_TYPE_ID)
    REFERENCES KSLU_LULU_RELTN_TYPE (ID)
/

ALTER TABLE KSLU_LU_LU_ALOW_RELTN_TYPE
    ADD CONSTRAINT KSLU_LU_LU_ALOW_RELTN_TYPE_FK3
    FOREIGN KEY (LU_TYPE_ID)
    REFERENCES KSLU_LUTYPE (TYPE_KEY)
/

ALTER TABLE KSLU_LU_LU_ALOW_RELTN_TYPE
    ADD CONSTRAINT KSLU_LU_LU_ALOW_RELTN_TYPE_FK1
    FOREIGN KEY (LU_REL_TYPE_ID)
    REFERENCES KSLU_LUTYPE (TYPE_KEY)
/

ALTER TABLE KSLU_LU_PUBL_TYPE_ATTR
    ADD CONSTRAINT KSLU_LU_PUBL_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_LU_PUBL_TYPE (TYPE_KEY)
/

ALTER TABLE KSLU_LU_TYPE_ATTR
    ADD CONSTRAINT KSLU_LU_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_LUTYPE (TYPE_KEY)
/

ALTER TABLE KSLU_MEMSHIP_KSLU_SPARAM
    ADD CONSTRAINT KSLU_MEMSHIP_KSLU_SPARAM_FK2
    FOREIGN KEY (SEARCHPARAMETERS_ID)
    REFERENCES KSLU_SPARAM (ID)
/

ALTER TABLE KSLU_MEMSHIP_KSLU_SPARAM
    ADD CONSTRAINT KSLU_MEMSHIP_KSLU_SPARAM_FK1
    FOREIGN KEY (KSLU_MEMSHIP_ID)
    REFERENCES KSLU_MEMSHIP (ID)
/

ALTER TABLE KSLU_RSLTUSAGE_LU_ALOW_TYPE
    ADD CONSTRAINT KSLU_RSLTUSAGE_LU_ALOW_TYP_FK2
    FOREIGN KEY (LU_TYPE_ID)
    REFERENCES KSLU_LUTYPE (TYPE_KEY)
/

ALTER TABLE KSLU_RSLTUSAGE_LU_ALOW_TYPE
    ADD CONSTRAINT KSLU_RSLTUSAGE_LU_ALOW_TYP_FK1
    FOREIGN KEY (CLU_RSLT_USAGE_TYPE_ID)
    REFERENCES KSLU_RSLT_USG_TYPE (TYPE_KEY)
/

ALTER TABLE KSLU_RSLT_COMP_USG_ALOW_TYPE
    ADD CONSTRAINT KSLU_RSLTCOMP_USG_ALOW_TYP_FK1
    FOREIGN KEY (RSLT_USG_TYPE_ID)
    REFERENCES KSLU_RSLT_USG_TYPE (TYPE_KEY)
/

ALTER TABLE KSLU_RSLT_OPT
    ADD CONSTRAINT KSLU_RSLT_OPT_FK2
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSLU_RICH_TEXT_T (ID)
/

ALTER TABLE KSLU_RSLT_OPT
    ADD CONSTRAINT KSLU_RSLT_OPT_FK1
    FOREIGN KEY (RES_USAGE_ID)
    REFERENCES KSLU_RSLT_USG_TYPE (TYPE_KEY)
/

ALTER TABLE KSLU_RSLT_USG_TYPE_ATTR
    ADD CONSTRAINT KSLU_RSLT_USG_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSLU_RSLT_USG_TYPE (TYPE_KEY)
/

ALTER TABLE KSLU_RSRC
    ADD CONSTRAINT KSLU_RSRC_FK1
    FOREIGN KEY (CLU_ID)
    REFERENCES KSLU_CLU (ID)
/

ALTER TABLE KSLU_SPARAM_KSLU_SPVALUE
    ADD CONSTRAINT KSLU_SPARAM_KSLU_SPVALUE_FK1
    FOREIGN KEY (KSLU_SPARAM_ID)
    REFERENCES KSLU_SPARAM (ID)
/

ALTER TABLE KSLU_SPARAM_KSLU_SPVALUE
    ADD CONSTRAINT KSLU_SPARAM_KSLU_SPVALUE_FK2
    FOREIGN KEY (VALUES_ID)
    REFERENCES KSLU_SPVALUE (ID)
/

ALTER TABLE KSOR_ORG
    ADD CONSTRAINT KSOR_ORG_FK1
    FOREIGN KEY (TYPE)
    REFERENCES KSOR_ORG_TYPE (TYPE_KEY)
/

ALTER TABLE KSOR_ORG_ATTR
    ADD CONSTRAINT KSOR_ORG_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSOR_ORG (ID)
/

ALTER TABLE KSOR_ORG_HIRCHY
    ADD CONSTRAINT KSOR_ORG_HIRCHY_FK1
    FOREIGN KEY (ROOT_ORG)
    REFERENCES KSOR_ORG (ID)
/

ALTER TABLE KSOR_ORG_HIRCHY_ATTR
    ADD CONSTRAINT KSOR_ORG_HIRCHY_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSOR_ORG_HIRCHY (ID)
/

ALTER TABLE KSOR_ORG_HIRCHY_JN_ORG_TYPE
    ADD CONSTRAINT KSOR_ORG_HIRCHY_JN_ORG_TYP_FK2
    FOREIGN KEY (ORG_TYPE_ID)
    REFERENCES KSOR_ORG_TYPE (TYPE_KEY)
/

ALTER TABLE KSOR_ORG_HIRCHY_JN_ORG_TYPE
    ADD CONSTRAINT KSOR_ORG_HIRCHY_JN_ORG_TYP_FK1
    FOREIGN KEY (ORG_HIRCHY_ID)
    REFERENCES KSOR_ORG_HIRCHY (ID)
/

ALTER TABLE KSOR_ORG_JN_ORG_PERS_REL_TYPE
    ADD CONSTRAINT KSOR_ORG_JN_ORG_PERREL_TYP_FK1
    FOREIGN KEY (ORG_PERS_RELTN_TYPE_ID)
    REFERENCES KSOR_ORG_PERS_RELTN_TYPE (TYPE_KEY)
/

ALTER TABLE KSOR_ORG_JN_ORG_PERS_REL_TYPE
    ADD CONSTRAINT KSOR_ORG_JN_ORG_PERREL_TYP_FK2
    FOREIGN KEY (ORG_ID)
    REFERENCES KSOR_ORG (ID)
/

ALTER TABLE KSOR_ORG_ORG_RELTN
    ADD CONSTRAINT KSOR_ORG_ORG_RELTN_FK2
    FOREIGN KEY (RELATED_ORG)
    REFERENCES KSOR_ORG (ID)
/

ALTER TABLE KSOR_ORG_ORG_RELTN
    ADD CONSTRAINT KSOR_ORG_ORG_RELTN_FK1
    FOREIGN KEY (ORG)
    REFERENCES KSOR_ORG (ID)
/

ALTER TABLE KSOR_ORG_ORG_RELTN
    ADD CONSTRAINT KSOR_ORG_ORG_RELTN_FK3
    FOREIGN KEY (TYPE)
    REFERENCES KSOR_ORG_ORG_RELTN_TYPE (TYPE_KEY)
/

ALTER TABLE KSOR_ORG_ORG_RELTN_ATTR
    ADD CONSTRAINT KSOR_ORG_ORG_RELTN_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSOR_ORG_ORG_RELTN (ID)
/

ALTER TABLE KSOR_ORG_ORG_RELTN_TYPE
    ADD CONSTRAINT KSOR_ORG_ORG_RELTN_TYPE_FK1
    FOREIGN KEY (ORG_HIRCHY)
    REFERENCES KSOR_ORG_HIRCHY (ID)
/

ALTER TABLE KSOR_ORG_ORG_RELTN_TYPE_ATTR
    ADD CONSTRAINT KSOR_ORG_ORG_REL_TYP_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSOR_ORG_ORG_RELTN_TYPE (TYPE_KEY)
/

ALTER TABLE KSOR_ORG_PERS_RELTN
    ADD CONSTRAINT KSOR_ORG_PERS_RELTN_FK2
    FOREIGN KEY (ORG_PERS_RELTN_TYPE)
    REFERENCES KSOR_ORG_PERS_RELTN_TYPE (TYPE_KEY)
/

ALTER TABLE KSOR_ORG_PERS_RELTN
    ADD CONSTRAINT KSOR_ORG_PERS_RELTN_FK1
    FOREIGN KEY (ORG)
    REFERENCES KSOR_ORG (ID)
/

ALTER TABLE KSOR_ORG_PERS_RELTN_ATTR
    ADD CONSTRAINT KSOR_ORG_PERS_RELTN_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSOR_ORG_PERS_RELTN (ID)
/

ALTER TABLE KSOR_ORG_PERS_RELTN_TYPE_ATTR
    ADD CONSTRAINT KSOR_ORG_PERS_REL_TYP_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSOR_ORG_PERS_RELTN_TYPE (TYPE_KEY)
/

ALTER TABLE KSOR_ORG_POS_RESTR
    ADD CONSTRAINT KSOR_ORG_POS_RESTR_FK2
    FOREIGN KEY (ORG)
    REFERENCES KSOR_ORG (ID)
/

ALTER TABLE KSOR_ORG_POS_RESTR
    ADD CONSTRAINT KSOR_ORG_POS_RESTR_FK1
    FOREIGN KEY (PERS_RELTN_TYPE)
    REFERENCES KSOR_ORG_PERS_RELTN_TYPE (TYPE_KEY)
/

ALTER TABLE KSOR_ORG_POS_RESTR_ATTR
    ADD CONSTRAINT KSOR_ORG_POS_RESTR_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSOR_ORG_POS_RESTR (ID)
/

ALTER TABLE KSOR_ORG_TYPE_ATTR
    ADD CONSTRAINT KSOR_ORG_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSOR_ORG_TYPE (TYPE_KEY)
/

ALTER TABLE KSOR_ORG_TYPE_JN_ORG_PERRL_TYP
    ADD CONSTRAINT KSOR_ORGTYP_JN_ORGPREL_TYP_FK1
    FOREIGN KEY (ORG_PERS_RELTN_TYPE_ID)
    REFERENCES KSOR_ORG_PERS_RELTN_TYPE (TYPE_KEY)
/

ALTER TABLE KSOR_ORG_TYPE_JN_ORG_PERRL_TYP
    ADD CONSTRAINT KSOR_ORGTYP_JN_ORGPREL_TYP_FK2
    FOREIGN KEY (ORG_TYPE_ID)
    REFERENCES KSOR_ORG_TYPE (TYPE_KEY)
/

ALTER TABLE KSPR_PROPOSAL
    ADD CONSTRAINT KSPR_PROPOSAL_FK1
    FOREIGN KEY (TYPE)
    REFERENCES KSPR_PROPOSAL_TYPE (TYPE_KEY)
/

ALTER TABLE KSPR_PROPOSAL_ATTR
    ADD CONSTRAINT KSPR_PROPOSAL_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSPR_PROPOSAL (PROPOSAL_ID)
/

ALTER TABLE KSPR_PROPOSAL_JN_ORG
    ADD CONSTRAINT KSPR_PROPOSAL_JN_ORG_FK1
    FOREIGN KEY (PROPOSAL_ID)
    REFERENCES KSPR_PROPOSAL (PROPOSAL_ID)
/

ALTER TABLE KSPR_PROPOSAL_JN_PERSON
    ADD CONSTRAINT KSPR_PROPOSAL_JN_PERSON_FK1
    FOREIGN KEY (PROPOSAL_ID)
    REFERENCES KSPR_PROPOSAL (PROPOSAL_ID)
/

ALTER TABLE KSPR_PROPOSAL_JN_REFERENCE
    ADD CONSTRAINT KSPR_PROPOSAL_JN_REFERENCE_FK2
    FOREIGN KEY (PROPOSAL_ID)
    REFERENCES KSPR_PROPOSAL (PROPOSAL_ID)
/

ALTER TABLE KSPR_PROPOSAL_JN_REFERENCE
    ADD CONSTRAINT KSPR_PROPOSAL_JN_REFERENCE_FK1
    FOREIGN KEY (REFERENCE_ID)
    REFERENCES KSPR_PROPOSAL_REFERENCE (REFERENCE_ID)
/

ALTER TABLE KSPR_PROPOSAL_REFERENCE
    ADD CONSTRAINT KSPR_PROPOSAL_REFERENCE_FK1
    FOREIGN KEY (TYPE)
    REFERENCES KSPR_PROPOSAL_REFTYPE (TYPE_KEY)
/

ALTER TABLE KSPR_PROPOSAL_REFTYPE_ATTR
    ADD CONSTRAINT KSPR_PROPOSAL_REFTYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSPR_PROPOSAL_REFTYPE (TYPE_KEY)
/

ALTER TABLE KSPR_PROPOSAL_TYPE_ATTR
    ADD CONSTRAINT KSPR_PROPOSAL_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSPR_PROPOSAL_TYPE (TYPE_KEY)
/

ALTER TABLE KSSC_SUBJ_CD
    ADD CONSTRAINT KSSC_SUBJ_CD_FK1
    FOREIGN KEY (TYPE)
    REFERENCES KSSC_SUBJ_CD_TYPE (TYPE_KEY)
/

ALTER TABLE KSSC_SUBJ_CD_JN_ORG
    ADD CONSTRAINT KSSC_SUBJ_CD_JN_ORG_FK1
    FOREIGN KEY (SUBJ_CD_ID)
    REFERENCES KSSC_SUBJ_CD (ID)
/

ALTER TABLE KSST_OBJECT_SUB_TYPE_ATTR
    ADD CONSTRAINT KSST_OBJECT_SUB_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSST_OBJECT_SUB_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_OBJECT_TYPE_ATTR
    ADD CONSTRAINT KSST_OBJECT_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSST_OBJECT_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_OBJ_TYP_JN_OBJ_SUB_TYP
    ADD CONSTRAINT KSST_OBJ_TYP_JN_OBJ_SUBTYP_FK2
    FOREIGN KEY (OBJ_TYPE_ID)
    REFERENCES KSST_OBJECT_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_OBJ_TYP_JN_OBJ_SUB_TYP
    ADD CONSTRAINT KSST_OBJ_TYP_JN_OBJ_SUBTYP_FK1
    FOREIGN KEY (OBJ_SUB_TYPE_ID)
    REFERENCES KSST_OBJECT_SUB_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_RCTYP_JN_RCFLDTYP
    ADD CONSTRAINT KSST_RCTYP_JN_RCFLDTYP_FK1
    FOREIGN KEY (REQ_COMP_FIELD_TYPE_ID)
    REFERENCES KSST_REQ_COM_FIELD_TYPE (ID)
/

ALTER TABLE KSST_RCTYP_JN_RCFLDTYP
    ADD CONSTRAINT KSST_RCTYP_JN_RCFLDTYP_FK2
    FOREIGN KEY (REQ_COMP_TYPE_ID)
    REFERENCES KSST_REQ_COM_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_RC_JN_RC_FIELD
    ADD CONSTRAINT KSST_RC_JN_RC_FIELD_FK2
    FOREIGN KEY (REQ_COM_FIELD_ID)
    REFERENCES KSST_REQ_COM_FIELD (ID)
/

ALTER TABLE KSST_RC_JN_RC_FIELD
    ADD CONSTRAINT KSST_RC_JN_RC_FIELD_FK1
    FOREIGN KEY (REQ_COM_ID)
    REFERENCES KSST_REQ_COM (ID)
/

ALTER TABLE KSST_REF_STMT_REL
    ADD CONSTRAINT KSST_REF_STMT_REL_FK1
    FOREIGN KEY (REF_STMT_REL_TYPE_ID)
    REFERENCES KSST_REF_STMT_REL_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_REF_STMT_REL
    ADD CONSTRAINT KSST_REF_STMT_REL_FK2
    FOREIGN KEY (STMT_ID)
    REFERENCES KSST_STMT (ID)
/

ALTER TABLE KSST_REF_STMT_REL_ATTR
    ADD CONSTRAINT KSST_REF_STMT_REL_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSST_REF_STMT_REL (ID)
/

ALTER TABLE KSST_REF_STMT_REL_TYPE_ATTR
    ADD CONSTRAINT KSST_REF_STMT_REL_TYP_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSST_REF_STMT_REL_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_REQ_COM
    ADD CONSTRAINT KSST_REQ_COM_FK2
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSST_RICH_TEXT_T (ID)
/

ALTER TABLE KSST_REQ_COM
    ADD CONSTRAINT KSST_REQ_COM_FK1
    FOREIGN KEY (REQ_COM_TYPE_ID)
    REFERENCES KSST_REQ_COM_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_REQ_COM_TYPE_ATTR
    ADD CONSTRAINT KSST_REQ_COM_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSST_REQ_COM_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_REQ_COM_TYPE_NL_TMPL
    ADD CONSTRAINT KSST_REQ_COM_TYPE_NL_TMPL_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSST_REQ_COM_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_RSTMT_RTYP_JN_OSUB_TYP
    ADD CONSTRAINT KSST_RSTMT_RTYP_JN_OSUBTYP_FK2
    FOREIGN KEY (REF_STMT_REL_TYPE_ID)
    REFERENCES KSST_REF_STMT_REL_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_RSTMT_RTYP_JN_OSUB_TYP
    ADD CONSTRAINT KSST_RSTMT_RTYP_JN_OSUBTYP_FK1
    FOREIGN KEY (OBJ_SUB_TYPE_ID)
    REFERENCES KSST_OBJECT_SUB_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_RSTMT_RTYP_JN_STMT_TYP
    ADD CONSTRAINT KSST_RSTMT_RTYP_JN_ST_TYP_FK2
    FOREIGN KEY (STMT_TYPE_ID)
    REFERENCES KSST_STMT_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_RSTMT_RTYP_JN_STMT_TYP
    ADD CONSTRAINT KSST_RSTMT_RTYP_JN_ST_TYP_FK1
    FOREIGN KEY (REF_STMT_REL_TYPE_ID)
    REFERENCES KSST_REF_STMT_REL_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_STMT
    ADD CONSTRAINT KSST_STMT_FK1
    FOREIGN KEY (STMT_TYPE_ID)
    REFERENCES KSST_STMT_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_STMT
    ADD CONSTRAINT KSST_STMT_FK2
    FOREIGN KEY (RT_DESCR_ID)
    REFERENCES KSST_RICH_TEXT_T (ID)
/

ALTER TABLE KSST_STMT_ATTR
    ADD CONSTRAINT KSST_STMT_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSST_STMT (ID)
/

ALTER TABLE KSST_STMT_JN_REQ_COM
    ADD CONSTRAINT KSST_STMT_JN_REQ_COM_FK2
    FOREIGN KEY (REQ_COM_ID)
    REFERENCES KSST_REQ_COM (ID)
/

ALTER TABLE KSST_STMT_JN_REQ_COM
    ADD CONSTRAINT KSST_STMT_JN_REQ_COM_FK1
    FOREIGN KEY (STMT_ID)
    REFERENCES KSST_STMT (ID)
/

ALTER TABLE KSST_STMT_JN_STMT
    ADD CONSTRAINT KSST_STMT_JN_STMT_FK1
    FOREIGN KEY (STMT_ID)
    REFERENCES KSST_STMT (ID)
/

ALTER TABLE KSST_STMT_JN_STMT
    ADD CONSTRAINT KSST_STMT_JN_STMT_FK2
    FOREIGN KEY (CHLD_STMT_ID)
    REFERENCES KSST_STMT (ID)
/

ALTER TABLE KSST_STMT_TYPE_ATTR
    ADD CONSTRAINT KSST_STMT_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSST_STMT_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_STMT_TYP_JN_RC_TYP
    ADD CONSTRAINT KSST_STMT_TYP_JN_RC_TYP_FK2
    FOREIGN KEY (STMT_TYPE_ID)
    REFERENCES KSST_STMT_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_STMT_TYP_JN_RC_TYP
    ADD CONSTRAINT KSST_STMT_TYP_JN_RC_TYP_FK1
    FOREIGN KEY (REQ_COM_TYPE_ID)
    REFERENCES KSST_REQ_COM_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_STMT_TYP_JN_STMT_TYP
    ADD CONSTRAINT KSST_STMT_TYP_JN_STMT_TYP_FK2
    FOREIGN KEY (STMT_TYPE_ID)
    REFERENCES KSST_STMT_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_STMT_TYP_JN_STMT_TYP
    ADD CONSTRAINT KSST_STMT_TYP_JN_STMT_TYP_FK1
    FOREIGN KEY (CHLD_STMT_TYPE_ID)
    REFERENCES KSST_STMT_TYPE (TYPE_KEY)
/

ALTER TABLE KSST_USAGE_TYPE_ATTR
    ADD CONSTRAINT KSST_USAGE_TYPE_ATTR_FK1
    FOREIGN KEY (OWNER)
    REFERENCES KSST_NL_USAGE_TYPE (TYPE_KEY)
/

